uniform sampler2D	texture_unit;

uniform float4		fill_color;
uniform float4		outline_color;

float4 main(float4 position : TEXCOORD0) : COLOR0
{
	float4 pixel = tex2D(texture_unit, position.xy);
	
	float4 outcol;
	
	outcol.rgb = fill_color.rgb; // * pixel.b) + (fill_color.rgb * pixel.g);
	outcol.a = pixel.a * pixel.b;
	
	return outcol;
}
